A guide to using Panda
<<< Previous |  | Next >>>

# panda_entergraphicsmode

## Name

panda_entergraphicsmode -- make sure the page description stream is in graphics mode

## Synopsis

     #include<panda/constants.h>
     #include<panda/functions.h>
     void panda_entergraphicsmode (panda_page * target);

## DESCRIPTION

PANDA INTERNAL. PDF pages are described with a text stream full of commands. Many of these commands are similar to those used within Postscript. This function call ensures that the text stream is in a graphics state.

## RETURNS

Nothing

## EXAMPLE

#include<panda/constants.h> #include<panda/functions.h> panda_pdf *document; panda_page *page; panda_init(); document = panda_open("filename.pdf", "w"); page = panda_newpage (document, panda_pagesize_a4); panda_entergraphicsmode (page);

## SEE ALSO

panda_exitgraphicsmode

## VERSION

This documentation was generated for Panda 0.4.2 by autodocbook (http://www.stillhq.com).

## AUTHOR

Panda is under development by Michael Still (mikal@stillhq.com). All code is Copyright Michael Still 2000 and 2001, and is released under the GNU GPL. Code submissions are welcomed. Contact Michael at the address above if you have something you would like to contribute.

## BUGS

There are no known bugs in Panda. If you find one, please contact mikal@stillhq.com and let me know.

<<< Previous | Home | Next >>>
panda_entergraphicsmode.sgml | Up | panda_error.sgml